//
//  MiniDBAppDelegate.m
//  MiniDB
//  Created by Holger Hinzberg
//  http://www.cocoa-coding.de/kids 

#import "MiniDBAppDelegate.h"
#import "Person.h"

@implementation MiniDBAppDelegate

@synthesize name;
@synthesize vorname;
@synthesize alter;
@synthesize window;
@synthesize buttonVorherige;
@synthesize buttonNaechste;

NSMutableArray *personenArray;

- (void)awakeFromNib
{ 
    personenArray = [[NSMutableArray alloc] init];
    
    Person *meinePerson;
    
    meinePerson = [[Person alloc] init];
    [meinePerson setName:@"Müller"];
    [meinePerson setVorname:@"Max"];
    [meinePerson setAlter:32];
    [personenArray addObject:meinePerson];
    
    meinePerson = [[Person alloc] init];
    [meinePerson setName:@"Huber"];
    [meinePerson setVorname:@"Hans"];
    [meinePerson setAlter:45];
    [personenArray addObject:meinePerson];
    
    meinePerson = [[Person alloc] init];
    [meinePerson setName:@"Fischer"];
    [meinePerson setVorname:@"Fritz"];
    [meinePerson setAlter:18];
    [personenArray addObject:meinePerson];
    
    indexPosition = 0;
    [self zeigePerson:indexPosition];
}

- (IBAction)klickVorherige:(id)sender
{
    indexPosition--;
    
    if(indexPosition < 0)
    {
        indexPosition = 0;
    }
    
    [self zeigePerson:indexPosition];
}

- (IBAction)klickNaechste:(id)sender
{
    indexPosition++;
    
    int maxPosition = 
       (int)[personenArray count] -1;
    
    if(indexPosition > maxPosition)
    {
        indexPosition = maxPosition;
    }
    
    [self zeigePerson:indexPosition];
}

- (void)zeigePerson:(int)index
{
    Person *einePerson = [personenArray objectAtIndex:index];
    
    [name setStringValue:[einePerson name]];
    [vorname setStringValue:[einePerson vorname]];
    [alter setIntValue:[einePerson alter]];
    
    [self pruefeButton];
}

- (void)pruefeButton
{
    // Überprüfung Button "Vorherige"
    if(indexPosition == 0)
    {
        [buttonVorherige setEnabled:NO];
    }
    else
    {
        [buttonVorherige setEnabled:YES];
    }
    
    // Überprüfung Button "Nächste"
    if(indexPosition == ((int)[personenArray count] - 1) )
    {
        [buttonNaechste setEnabled:NO];
    }
    else
    {
        [buttonNaechste setEnabled:YES];
    }
}

@end
